Delete Webhook
curl --request DELETE \
--url https://api.pathstack.io/webhook/{webhook_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pathstack.io/webhook/{webhook_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pathstack.io/webhook/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"url": "<string>",
"enabled": true,
"id": "<string>",
"error_count": 123,
"last_error": "<string>",
"last_error_at": "2023-11-07T05:31:56Z",
"created_at": "<string>",
"updated_at": "<string>",
"filters": {
"connection_ids": [
"<string>"
],
"tags": [
"<string>"
],
"device_ids": [
"<string>"
],
"connection_devices": [
{
"connection_id": "<string>",
"system_device_ids": [
"<string>"
]
}
]
},
"options": {
"include_speed": true,
"include_driver_id": true
}
}
}{
"error": {
"code": 400,
"message": "Invalid JWT format"
}
}{
"error": {
"code": 401,
"message": "Authentication header is missing, or token is invalid/expired."
}
}{
"error": {
"code": 403,
"message": "You do not have access to this resource"
}
}{
"error": {
"code": 404,
"message": "Unknown webhook id <uuid>"
}
}{
"error": {
"code": 422,
"message": "Field required",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
}Webhooks
Delete Webhook
Deletes a webhook.
DELETE
/
webhook
/
{webhook_id}
Delete Webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
ID of the Webhook to be deleted
Response
Successful Response
Show child attributes
Show child attributes
⌘I

